Package org.springframework.security.config

# Class SecurityNamespaceHandler

java.lang.Object
org.springframework.security.config.SecurityNamespaceHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.NamespaceHandler`

public final class SecurityNamespaceHandler extends Object implements org.springframework.beans.factory.xml.NamespaceHandler
Parses elements from the "security" namespace (http://www.springframework.org/schema/security).

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`SecurityNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinitionHolder`
`decorate(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder definition, org.springframework.beans.factory.xml.ParserContext pc)`
`void`
`init()`
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityNamespaceHandler

public SecurityNamespaceHandler()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext pc)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.NamespaceHandler`

### decorate

public org.springframework.beans.factory.config.BeanDefinitionHolder decorate(Node node, org.springframework.beans.factory.config.BeanDefinitionHolder definition, org.springframework.beans.factory.xml.ParserContext pc)

Specified by:
  `decorate` in interface `org.springframework.beans.factory.xml.NamespaceHandler`

### init

public void init()

Specified by:
  `init` in interface `org.springframework.beans.factory.xml.NamespaceHandler`